org.bdgenomics.adam.models

# ReferencePosition

###
Related Docs: object ReferencePosition | package models

#### class ReferencePosition extends ReferenceRegion

Linear Supertypes
ReferenceRegion, Serializable, Serializable, Product, Equals, Interval, Comparable[ReferenceRegion], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ReferencePosition
2. ReferenceRegion
3. Serializable
4. Serializable
5. Product
6. Equals
7. Interval
8. Comparable
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ReferencePosition(referenceName: String, pos: Long, orientation: Strand = Strand.INDEPENDENT)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def compareTo(that: ReferenceRegion): Int

   Definition Classes
     ReferenceRegion → Comparable

7. #### def contains(other: ReferenceRegion): Boolean

   Definition Classes
     ReferenceRegion

8. #### def contains(other: ReferencePosition): Boolean

   Definition Classes
     ReferenceRegion

9. #### def disorient: ReferenceRegion

   Definition Classes
     ReferenceRegion

10. #### def distance(other: ReferenceRegion): Option[Long]

    Returns the distance between this reference region and another region in the reference space.

    Returns the distance between this reference region and another region in the reference space.

    other

      Region to compare against.

    returns

      Returns an option containing the distance between two points. If the point is not in our reference space, we return an empty option (None).

    Definition Classes
      ReferenceRegion
    Note

      Distance here is defined as the minimum distance between any point within this region, and any point within the other region we are measuring against. If the two sets overlap, the distance will be 0. If the sets abut, the distance will be 1. Else, the distance will be greater.

11. #### val end: Long

    The 0-based residue-coordinate for the first residue after the start which is not in the region -- i.e.

    The 0-based residue-coordinate for the first residue after the start which is not in the region -- i.e. [start, end) define a 0-based half-open interval.

    Definition Classes
      ReferenceRegion → Interval

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      ReferenceRegion → AnyRef → Any

16. #### def hull(region: ReferenceRegion): ReferenceRegion

    Creates a region corresponding to the convex hull of two regions.

    Creates a region corresponding to the convex hull of two regions. Has no preconditions about the adjacency or overlap of two regions. However, regions must be in the same reference space.

    region

      Other region to compute hull of with this region.

    returns

      The convex hull of both unions.

    Definition Classes
      ReferenceRegion
    Exceptions thrown

      `AssertionError` Thrown if regions are in different reference spaces.

    See also

      merge

17. #### def intersection(region: ReferenceRegion): ReferenceRegion

    Calculates the intersection of two reference regions.

    Calculates the intersection of two reference regions.

    region

      Region to intersect with.

    returns

      A smaller reference region.

    Definition Classes
      ReferenceRegion

18. #### def isAdjacent(region: ReferenceRegion): Boolean

    Returns whether two regions are adjacent.

    Returns whether two regions are adjacent. Adjacent regions do not overlap, but have no separation between start/end.

    region

      Region to compare against.

    returns

      True if regions are adjacent.

    Definition Classes
      ReferenceRegion

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### def length(): Long

    Definition Classes
      ReferenceRegion

21. #### def merge(region: ReferenceRegion): ReferenceRegion

    Merges two reference regions that are contiguous.

    Merges two reference regions that are contiguous.

    region

      Other region to merge with this region.

    returns

      The merger of both unions.

    Definition Classes
      ReferenceRegion
    Exceptions thrown

      `AssertionError` Thrown if regions are not overlapping or adjacent.

    See also

      hull

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### val orientation: Strand

    Definition Classes
      ReferencePosition → ReferenceRegion

26. #### def overlaps(other: ReferenceRegion): Boolean

    Definition Classes
      ReferenceRegion

27. #### def pad(byStart: Long, byEnd: Long): ReferenceRegion

    byStart

      The number of bases to move the start position forward by.

    byEnd

      The number of bases to move the end position back by.

    returns

      Returns a new reference region where the start and/or end have been moved.

    Definition Classes
      ReferenceRegion

28. #### def pad(by: Long): ReferenceRegion

    by

      The number of bases to extend the region by from both the start and the end.

    returns

      Returns a new reference region where the start and end have been moved.

    Definition Classes
      ReferenceRegion

29. #### val pos: Long

30. #### val referenceName: String

    Definition Classes
      ReferencePosition → ReferenceRegion

31. #### val start: Long

    The 0-based residue-coordinate for the start of the region

    The 0-based residue-coordinate for the start of the region

    Definition Classes
      ReferenceRegion → Interval

32. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### def width: Long

    Definition Classes
      Interval

### Inherited from ReferenceRegion

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Interval

### Inherited from Comparable[ReferenceRegion]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped